<div style="padding: 50px;">
    <h1>Mini Calculator</h1>
    <br><br>
    <label for="">Variable A</label>
    <input id="var1" type="text">

    <label for="">Variable B</label>
    <input id="var2" type="text">

    <br><br><br>

    <button onclick="add()">Add</button> Sum is <span id="sum">-</span> <br> <br>
    <button onclick="subtract()">Subtract</button> Subtraction is <span id="sub">-</span> <br> <br>
    <button onclick="multiply()">Multiply</button> Multiplication is <span id="mul">-</span> <br> <br>
    <button onclick="divide()">Divide</button> Division is <span id="div">-</span> <br> <br>



    <h2>Steps</h2>

    <ol>
        <li>Html and Css Creation</li>
        <li>Assign Ids or Classes to Variables which are to be changed</li>
        <li>Add Events</li>
        <li>Declare functions - Function Name is Purpose Based Ideally</li>
    </ol>
</div>

<script>
    function add(){
        let value1 = document.getElementById('var1').value
        let value2 = document.getElementById('var2').value
        let value = parseInt(value1)+ parseInt(value2)
        document.getElementById('sum').innerText = value
    }
    
    function subtract(){
        let value1 = document.getElementById('var1').value
        let value2 = document.getElementById('var2').value
        let value = parseInt(value1) - parseInt(value2)
        document.getElementById('sub').innerText = value
    }

    function multiply(){
        let value1 = document.getElementById('var1').value
        let value2 = document.getElementById('var2').value
        let value = parseInt(value1) * parseInt(value2)
        document.getElementById('mul').innerText = value
    }

    function divide(){
        let value1 = document.getElementById('var1').value
        let value2 = document.getElementById('var2').value
        let value = parseInt(value1) / parseInt(value2)
        document.getElementById('div').innerText = value
    }
</script>

